<?php

/**
  * BLOG:CMS: PHP/MySQL Personal Content Management System (CMS)
  * http://blogcms.com/
  * ----------------------------------------------------------------
  *
  * Copyright (C) 2003-2005 Radek HULN
  * http://hulan.cz/contact/
  *
  * ----------------------------------------------------------------
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * as published by the Free Software Foundation; either version 2
  * of the License, or (at your option) any later version.
**/

class NP_Log extends NucleusPlugin {

 function getNAME() { return 'Log';  }
 function getAuthor()  { return 'Radek HULAN';  }
 function getURL() {  return 'http://hulan.cz/blog/'; }
 function getVersion() { return '0.0.6'; }
 function getDescription() { 
  return 'Simple log. Usage <%Log%> in every page. Use http://yourblog/list.php to see results.';
 }
 
	function supportsFeature($feature) {
		switch($feature) {
			case 'SqlTablePrefix':
				return 1;
			default:
				return 0;
		}
	}

 function install() {
   $this->createOption('LogDNS','Allow DNS resolution (YES/NO):','yesno','yes');
   $this->createOption('LogDOMAIN','Your domain to be excluded from logs (name or IP, if above set to NO):','text','yourdomain');
   $this->createOption('LogXAGENT','Browser user agents to be excluded from logs:','text','msnbot,googlebot,blog,crawler,centrum');
   $this->createOption('LogXDNS','DNS resolution to be excluded from logs:','text','downloader.seznam,inktomi,yahoo,altavista,fasttrack,excite,hotbot,alltheweb,yahoo');
 }
 
 function getTableList() {
   // no need to backup this table	
   return array(); 
 }

 function doSkinVar($skinType) {
  /* date and time */
	$xdate = date("ymd"); /* e.g. 040120 for January 4, 2004 */
	$xtime = date("H:i:s"); /* e.g. 17:30:22 */
	/* IP address */
	$xaddr = substr(serverVar("REMOTE_ADDR"),0,20);
	/* browser agent */
	$xagent = strtolower(serverVar("HTTP_USER_AGENT"));
  if(!(strpos(strtolower($xagent),"opera")===false)){$xagent=substr($xagent,strpos(strtolower($xagent),"opera"),10);};
  if(!(strpos(strtolower($xagent),"msie")===false)){$xagent=substr($xagent,strpos(strtolower($xagent),"msie"),8);};
  if(!(strpos(strtolower($xagent),"mozilla")===false)){$xagent="Gecko";};
  $xagent=substr($xagent,0,20);
  /* where are we? */
	$xpath = substr(strtolower(serverVar("REQUEST_URI")),0,60);
	/* where they come from? */
	$xreferer = substr(strtolower(serverVar("HTTP_REFERER")),0,160);
	/* convert IP to DNS name */
	$xdns = $this->getOption('LogDNS');
  $xdomain = $this->getOption('LogDOMAIN');
	if($xdns=="yes"){
	  $xdns = substr(strtolower(@gethostbyaddr(serverVar("REMOTE_ADDR"))),0,255);
	  if(($xdomain!="") && ($xdns!="")){
	    if(!(strpos(strtolower($xdns),$xdomain)===false)){return;} /* my domain */
	  }
  } else {
    $xdns = "dns off";
	  if(($xdomain!="") && ($xaddr!="")){
	    if(!(strpos($xaddr,$xdomain)===false)){return;} /* my IP */
   }
  }
  $xdns = substr($xdns,0,160);
  /* do not log specific browser agents */  
  $MYY = explode(",",strtolower($this->getOption('LogXAGENT')));
  foreach($MYY as $myx) {
    if (!(strpos($xagent,$myx)===false)){return;}
  }
  /* do not log specific IPs/DNS */  
  $MYY = explode(",",strtolower($this->getOption('LogXDNS')));
  foreach($MYY as $myx) {
    if (!(strpos($xdns,$myx)===false)){return;}
  }
  $query = "insert into ".sql_table('httplog')." (XDATE,XTIME,XADDR,XAGENT,XPATH,XREFERER,XDNS) values ('$xdate','$xtime','$xaddr','$xagent','$xpath','$xreferer','$xdns')";
  sql_query($query);
 }
}

?>