<?php

/**
  * BLOG:CMS: PHP/MySQL Personal Content Management System (CMS)
  * http://blogcms.com/
  * ----------------------------------------------------------------
  *
  * Copyright (C) 2003-2005 Radek HULN
  * http://hulan.cz/contact/
  *
  * ----------------------------------------------------------------
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * as published by the Free Software Foundation; either version 2
  * of the License, or (at your option) any later version.
**/

class NP_SEO extends NucleusPlugin {

var $server;

    function getName( ){return 'SEO';}
    function getAuthor( ){return 'Radek HULAN';}
    function getURL( ){return 'http://hulan.cz/blog/';}
    function getVersion( ){return '1.1';}
    function getEventList( ){return array('PreComment','PreItem');}
    function getDescription( ){
      return 'This plugin will convert all external links in article, comment, and userlinks '.
             'into http://yourdomain/?url=http://externaldomain to achieve better page ranks';
    }

    function install( ){
        $this->createOption("item", "Redirect articles:", "yesno", "no");
        $this->createOption("userlink", "Redirect smart user link in comments:", "yesno", "yes");
    }

    function supportsFeature($what) {
        switch($what)
        {
            case 'SqlTablePrefix':
                return 1;
            default:
                return 0;
        }
    }

    function init(){
      global $CONF;
      $this->server = $CONF['IndexURL'];
      $this->_item = ($this->getOption("item")=='yes');
      $this->_comment = ($this->getOption("comment")=='yes');
      $this->_userlink = ($this->getOption("userlink")=='yes');
      $this->_hide = ($this->getOption("hide")=='yes');
    }

    function event_PreItem(&$data){
      // article body and more
      $parts=array('body','more');
      $this->hide = false; // never hide articles
      if ($this->_item) foreach ($parts as $part) $this->doReplace($data['item']->$part);
    }

	  function event_PreComment(&$data) {
	    $this->hide = $this->_hide;
      // smart user link
      if ($this->_userlink) {
      if (strstr($data['comment']['userlinkraw'],$this->server) ||
         ( !strstr($data['comment']['userlinkraw'],'http:/') &&
           !strstr($data['comment']['userlinkraw'],'https:/') &&
           !strstr($data['comment']['userlinkraw'],'ftp:/') ) ||
         strstr($data['comment']['userlinkraw'],'mailto:')
      ) ; else
        $data['comment']['userlinkraw'] = $this->makeURL($data['comment']['userlinkraw']);
      }
    }

    function doReplace(&$text){
      // replace links to SEO links - with title
      $text = preg_replace_callback(
        '/<a\s+href=[\"|\'](.*?)[\"|\']\s+title=[\"|\'](.*?)[\"|\']\s*>/',
        array(&$this, 'myLink'),
        $text);
      // without a title - put URL into a title
      $text = preg_replace_callback(
        '/<a\s+href=[\"|\'](.*?)[\"|\']\s*>/',
        array(&$this, 'myLinkTitle'),
        $text);
    }

    function myLink($matches){
      if (strstr($matches[1],$this->server) ||
         ( !strstr($matches[1],'http:/') &&
           !strstr($matches[1],'https:/') &&
           !strstr($matches[1],'ftp:/') ) ||
         strstr($matches[1],'mailto:')
      )
        return '<a href="'.$matches[1].'" title="'.$matches[2].'">';
      else {
        return '<a href="'.$this->makeURL($matches[1]).'" title="&raquo; '.$matches[1].' &mdash; '.$matches[2].'">';
      }
    }

    function myLinkTitle($matches){
      if (strstr($matches[1],$this->server) ||
         ( !strstr($matches[1],'http:/') &&
           !strstr($matches[1],'https:/') &&
           !strstr($matches[1],'ftp:/') ) ||
         strstr($matches[1],'mailto:')
      )
        return '<a href="'.$matches[1].'">';
      else {
        return '<a href="'.$this->makeURL($matches[1]).'" title="&raquo; '.$matches[1].'">';
      }
    }

    function makeURL($url){
      if ($this->hide) $url.='|noseo|';
      $md=md5($url);
      $query=sql_query("select id from ".sql_table("plug_seo")." where id='$md'");
      if (sql_num_rows($query)==0) sql_query("insert into ".sql_table("plug_seo")." (id,url) values ('$md','".sql_escape($url)."')");
      return $this->server."?id=".$md;
    }

}
?>