<?php

/**
  * BLOG:CMS: PHP/MySQL Personal Content Management System (CMS)
  * http://blogcms.com/
  * ----------------------------------------------------------------
  *
  * Copyright (C) 2003-2005 Radek HULN
  * http://hulan.cz/contact/
  *
  * Based on: 
  * ----------------------------------------------------------------
  * Nucleus: PHP/MySQL Weblog CMS (http://nucleuscms.org/) 
  * Copyright (C) 2002-2003 The Nucleus Group
  *
  * ----------------------------------------------------------------
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * as published by the Free Software Foundation; either version 2
  * of the License, or (at your option) any later version.
**/

global $DIR_PLUGINS;
if (!is_dir($DIR_PLUGINS)) die('System is not configured properly - NP_SmartPants.php');
include($DIR_PLUGINS.'smartypants/smartypants.php');

class NP_SmartyPants extends NucleusPlugin {

	function getName() { return 'SmartyPants'; }
	function getAuthor()  { return 'John Gruber; Matthew Mcglynn; Blog:CMS plugin by nontroppo; mod by Radek HULAN'; }
	function getURL()  { return 'http://daringfireball.net/projects/smartypants/'; }
	function getVersion() { return '0.2'; }
	function getDescription() {
	return 'SmartyPants typographically educates your text...';
	}


	function supportsFeature($what) {
		switch($what)
		{ case 'SqlTablePrefix':
				return 1;
			default:
				return 0; }
	}

	function install() {
		$this->createOption('smartypantsDefault','Use SmartyPants by default:','yesno','no');
		$this->createOption('smartypantsback','Convert curly quotes back to straight quotes before edit:','yesno','yes');
	}

	function uninstall() {
	}

	function getEventList() {
		return array(
		'AddItemFormExtras',
		'EditItemFormExtras',
		'PreAddItem',
		'PreUpdateItem',
		'PrepareItemForEdit'
		);
	}
	
	function event_PreAddItem(&$data) {
		if (requestVar('smartypants_on') == 'yes') {
			$parts = array('title','body','more');
			foreach ($parts as $part) $data[$part] = SmartyPants($data[$part], DEFAULT_OPERATION_MODE | DO_QUOT_CONV);
		}
	}
	
	function event_PreUpdateItem(&$data) {
		if (requestVar('smartypants_on') == 'yes')
			$this->event_PreAddItem($data);
	}

	 function event_PrepareItemForEdit(&$data) {
	  if ($this->getOption('smartypantsback')=='yes') {
 		  $parts = array('title','body','more');
 		  foreach ($parts as $part) $data['item'][$part] = StupefyEntities($data['item'][$part]);
	  }
	 }

	function event_AddItemFormExtras($data) {
		if ($this->getOption('smartypantsDefault') == 'yes') $s=" checked='checked' ";
		global $CONF;
		echo "<h3>SmartyPants &#8212; <a href='".$CONF['PluginURL']."smartypants/info.html' target='_blank'>more info&#8230;</a></h3><p>Use &#8220;SmartyPants&#8221; for this article: <input type='checkbox' name='smartypants_on' value='yes' $s />?</p>";
	}

	function event_EditItemFormExtras($data) {
		if ($this->getOption('smartypantsDefault') == 'yes') $s=" checked='checked' ";
		global $CONF;
		echo "<h3>SmartyPants &#8212; <a href='".$CONF['PluginURL']."smartypants/info.html' target='_blank'>more info&#8230;</a></h3><p>Use &#8220;SmartyPants&#8221; for this article: <input type='checkbox' name='smartypants_on' value='yes' $s />?</p>";
	}
}
?>