<?php

/**
  * BLOG:CMS: PHP/MySQL Personal Content Management System (CMS)
  * http://blogcms.com/
  * ----------------------------------------------------------------
  *
  * Copyright (C) 2003-2005 Radek HULN
  * http://hulan.cz/contact/
  *
  * ----------------------------------------------------------------
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * as published by the Free Software Foundation; either version 2
  * of the License, or (at your option) any later version.
**/

global $DIR_PLUGINS;
if (!is_dir($DIR_PLUGINS)) die('System is not configured properly - NP_Textile.php');
include($DIR_PLUGINS.'textile/class.textile.php');

class NP_Textile extends NucleusPlugin {

   function getName() { return 'Textile'; }
   function getAuthor()  { return 'fungus, mod by Radek HULAN'; }
   function getURL()  { return 'http://blogcms.com/'; }
   function getVersion() { return '0.1'; }
   function getDescription() {
      return 'This will allow you to type up items using Dean Allen\'s Textile.';
   }


	function supportsFeature($what) {
		switch($what)
		{ case 'SqlTablePrefix':
				return 1;
			default:
				return 0; }
	}

   function install() {
     $this->createOption('textileDefault','Use Textile by default:','yesno','no');
     $this->createOption('detextile','Convert article to Textile before editing:','yesno','no');
   }

   function getEventList() {
     return array(
       'AddItemFormExtras',
       'EditItemFormExtras',
       'PreAddItem',
       'PreUpdateItem',
       'PrepareItemForEdit',
       'PostAddItem'
     );
   }

	 function event_PrepareItemForEdit(&$data) {
	  if ($this->getOption('detextile') != 'yes') return;
    $query=sql_query("select editor from ".sql_table('item')." where inumber=".intval($data['item']['itemid']));
    if ($row=sql_fetch_object($query)) 
    if ($row->editor==1) {
  		$parts = array('body','more');
  		$textile =& new Textile();
  		foreach ($parts as $part) 
        $data['item'][$part] = $textile->DeTextileThis($data['item'][$part]);
  	}
	 }

   // mod by nontroppo
   function event_PreAddItem(&$data) {
      if (requestVar('textile_on') != 'yes') return;
      //find blog:cms media markup and convert it to stop clashes with textile
      $data['body'] = preg_replace("/[\[<]%(.*?)%[\]>]/",":::$1:::",$data['body']);
      $data['more'] = preg_replace("/[\[<]%(.*?)%[\]>]/",":::$1:::",$data['more']);
      //do dat textile thang
      $textile =& new Textile();
      $data['body'] = $textile->TextileThis($data['body']);
      $data['more'] = $textile->TextileThis($data['more']);
      //now return the media markup back to original
      $data['body'] = preg_replace("/:::(.*?):::/","<%$1%>",$data['body']);
      $data['more'] = preg_replace("/:::(.*?):::/","<%$1%>",$data['more']);
    }
    
       
   function event_PreUpdateItem(&$data) {
     $this->event_PreAddItem($data);
	   if (requestVar('textile_on') == 'yes') {
		   $q = 'UPDATE '.sql_table('item').' SET editor=1 WHERE inumber='.intval($data['itemid']);
		   sql_query($q);
		 }
   }

   function event_AddItemFormExtras($data) {
     if ($this->getOption('textileDefault') == 'yes') $s=" checked='checked' ";
     global $CONF;
     echo "<h3>Textile &#8212; <a href='".$CONF['PluginURL']."textile/info.html' target='_blank'>more info&#8230;</a></h3><p>Use &#8220;Textile&#8221; for this article: <input type='checkbox' name='textile_on' value='yes' $s />?</p>";
   }

   function event_EditItemFormExtras($data) {
     if ( $this->getOption('textileDefault') == 'yes' ) $s=" checked='checked' "; else $s='';
     $query=sql_query("select editor from ".sql_table('item')." where inumber=".intval($data['itemid']));
     if ($row=sql_fetch_object($query)) if ($row->editor==1) $s=" checked='checked' ";
     global $CONF;
     echo "<h3>Textile &#8212; <a href='".$CONF['PluginURL']."textile/info.html' target='_blank'>more info&#8230;</a></h3><p>Use &#8220;Textile&#8221; for this article: <input type='checkbox' name='textile_on' value='yes' $s />?</p>";
   }

	 function event_PostAddItem(&$data) {
	   if (requestVar('textile_on') == 'yes') {
		   $q = 'UPDATE '.sql_table('item').' SET editor=1 WHERE inumber='.intval($data['itemid']);
		   sql_query($q);
		 }
	 }

}
?>
