<?php
/**
  * BLOG:CMS: PHP/MySQL Personal Content Management System (CMS)
  * http://blogcms.com/
  * ----------------------------------------------------------------
  *
  * Copyright (C) 2003-2005 Radek HULN
  * http://hulan.cz/contact/
  *
  * ----------------------------------------------------------------
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * as published by the Free Software Foundation; either version 2
  * of the License, or (at your option) any later version.
**/

  include('./cfg.php'); 
  
  /* already logged-in? */
  if (!$member->isLoggedIn() || !$member->isAdmin()) doError("You are not logged-in!");
  
  sql_connect(true);
  

  /* generate doctype */
  echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.1//EN\" \"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd\">\n";
  echo "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"en\"><head>\n";
  echo "<meta http-equiv=\"Pragma\" content=\"no-cache\"/>\n";
  echo "<meta http-equiv=\"Cache-Control\" content=\"no-cache, must-revalidate\"/>\n";
  echo "<meta http-equiv=\"Expires\" content=\"-1\"/>\n";
  echo "<link href=\"admin/styles/list.css\" rel=\"stylesheet\" rev=\"1.0\"/>\n";
  echo "<title>statistics</title>\n";
  echo "</head><body>\n";
  echo "<div>\n";
  echo "<h1>Simple statistics / log for your blog</h1>\n";

  /* set date variables */
  $FROMMDAY=date("d");
  $FROMMMONTH=date("m");
  $FROMMYEAR=date("y");
  if(isset($_POST['FROMMYDAY'])){$FROMMDAY=$_POST['FROMMYDAY'];};
  if(isset($_POST['FROMMYMONTH'])){$FROMMMONTH=$_POST['FROMMYMONTH'];};
  if(isset($_POST['FROMMYYEAR'])){$FROMMYEAR=$_POST['FROMMYYEAR'];};
  if(strlen($FROMMDAY)==1){$FROMMDAY="0$FROMMDAY";};
  if(strlen($FROMMMONTH)==1){$FROMMMONTH="0$FROMMMONTH";};
  if(strlen($FROMMYEAR)==1){$FROMMYEAR="0$FROMMYEAR";};

  $TOMDAY=date("d");
  $TOMMONTH=date("m");
  $TOMYEAR=date("y");
  if(isset($_POST['TOMYDAY'])){$TOMDAY=$_POST['TOMYDAY'];};
  if(isset($_POST['TOMYMONTH'])){$TOMMONTH=$_POST['TOMYMONTH'];};
  if(isset($_POST['TOMYYEAR'])){$TOMYEAR=$_POST['TOMYYEAR'];};
  if(strlen($TOMDAY)==1){$TOMDAY="0$TOMDAY";};
  if(strlen($TOMMONTH)==1){$TOMMONTH="0$TOMMONTH";};
  if(strlen($TOMYEAR)==1){$TOMYEAR="0$TOMYEAR";};

  /* how much records to display */
  $HOWMUCH="20";
  if(isset($_POST['RECORDS'])){$HOWMUCH=$_POST['RECORDS'];}
  
  /* filter for IP and DNS? */
  $MYFILTERIP='';
  if(isset($_POST['FILTERIP'])){$MYFILTERIP=$_POST['FILTERIP'];}
  $MYFILTERDNS='';
  if(isset($_POST['FILTERDNS'])){$MYFILTERDNS=$_POST['FILTERDNS'];}
  
  /* delete stats */
  $time= mktime (0,0,0,date("m"),date("d")-3,date("Y"));
  $old= strftime("%m/%d/%y",$time);

  /* delete log?? */
  if(isset($_POST['MYCLEAR'])){
    if($_POST['MYCLEAR']=="YES"){
       $deleting=strftime("%y%m%d",$time);
       $query="DELETE FROM ".sql_table('httplog')." WHERE XDATE<'$deleting'";
       sql_query($query);
       echo '<h3>Everything older than '.$old.' was deleted..</strong></h3>'."\n";
    }
  }

  /* GET filter parameters? */
  if (isset($_GET['FADDR'])){
    $MYFILTERIP=$_GET['FADDR'];
  }
  if (isset($_GET['FFROM'])){
    $FROMMDAY=substr($_GET['FFROM'],4,2);
    $FROMMMONTH=substr($_GET['FFROM'],2,2);
    $FROMMYEAR=substr($_GET['FFROM'],0,2);
  }
  if (isset($_GET['FTO'])){
    $TOMDAY=substr($_GET['FTO'],4,2);
    $TOMMONTH=substr($_GET['FTO'],2,2);
    $TOMYEAR=substr($_GET['FTO'],0,2);
  }
  
  $searchfilter='';
  if($MYFILTERIP!=''){
    $searchfilter=" $searchfilter AND (INSTR(XADDR,'$MYFILTERIP')>0) ";
  }
  if($MYFILTERDNS!=''){
    $searchfilter=" $searchfilter AND (INSTR(XDNS,'$MYFILTERDNS')>0) ";
  }
  
  echo "<form method=\"post\" action=\"list.php\">\n";
  echo "<fieldset><legend>From:</legend>\n";
  echo "<label for=\"FROMMYDAY\"><strong>Day: </strong></label><input class=\"formfield\" type=\"text\" id=\"FROMMYDAY\" name=\"FROMMYDAY\" size=\"2\" maxlength=\"2\" value=\"$FROMMDAY\">&nbsp;\n";
  echo "<label for=\"FROMMYMONTH\"><strong>Month: </strong></label><input class=\"formfield\" type=\"text\" id=\"FROMMYMONTH\" name=\"FROMMYMONTH\" size=\"2\" maxlength=\"2\" value=\"$FROMMMONTH\">&nbsp;\n";
  echo "<label for=\"FROMMYYEAR\"><strong>Year: </strong></label><input class=\"formfield\" type=\"text\" id=\"FROMMYYEAR\" name=\"FROMMYYEAR\" size=\"2\" maxlength=\"2\" value=\"$FROMMYEAR\">&nbsp;&nbsp;&nbsp;\n";
  echo "</fieldset>\n";
  echo "<fieldset><legend>To:</legend>\n";
  echo "<label for=\"TOMYDAY\"><strong>Day: </strong></label><input class=\"formfield\" type=\"text\" id=\"TOMYDAY\" name=\"TOMYDAY\" size=\"2\" maxlength=\"2\" value=\"$TOMDAY\">&nbsp;\n";
  echo "<label for=\"TOMYMONTH\"><strong>Month: </strong></label><input class=\"formfield\" type=\"text\" id=\"TOMYMONTH\" name=\"TOMYMONTH\" size=\"2\" maxlength=\"2\" value=\"$TOMMONTH\">&nbsp;\n";
  echo "<label for=\"TOMYYEAR\"><strong>Year: </strong></label><input class=\"formfield\" type=\"text\" id=\"TOMYYEAR\" name=\"TOMYYEAR\" size=\"2\" maxlength=\"2\" value=\"$TOMYEAR\"><br/>\n";

  echo "<label for=\"MYCLEAR\">Delete everything older than $old? Type 'YES' to delete and press button: </label><input class=\"formfield\" type=\"text\" id=\"MYCLEAR\" name=\"MYCLEAR\" size=\"3\" maxlength=\"3\" value=\"NO\"><br/>\n";

  echo "<label for=\"FILTERIP\">Filter for IP: </label><input class=\"formfield\" type=\"text\" id=\"FILTERIP\" name=\"FILTERIP\" size=\"15\" maxlength=\"20\" value=\"$MYFILTERIP\">&nbsp;&nbsp;\n";
  echo "<label for=\"FILTERDNS\">Filter for DNS: </label><input class=\"formfield\" type=\"text\" id=\"FILTERDNS\" name=\"FILTERDNS\" size=\"20\" maxlength=\"60\" value=\"$MYFILTERDNS\"><br/>\n";

  echo "<label for=\"RECORDS\">What is the maximum number of records you want to list? </label><input class=\"formfield\" type=\"text\" id=\"RECORDS\" name=\"RECORDS\" size=\"4\" maxlength=\"4\" value=\"$HOWMUCH\"><br/>\n";

  echo "<select name=\"LISTSELECT\">\n";
  $_POST['LISTSELECT']=='4' ? $deff=" selected" : $deff=''; echo "<option value=\"4\" $deff>unique IP addresses</option>\n";
  $_POST['LISTSELECT']=='1' ? $deff=" selected" : $deff=''; echo "<option value=\"1\" $deff>daily list, default</option>\n";
  $_POST['LISTSELECT']=='2' ? $deff=" selected" : $deff=''; echo "<option value=\"2\" $deff>group by IP address</option>\n";
  $_POST['LISTSELECT']=='3' ? $deff=" selected" : $deff=''; echo "<option value=\"3\" $deff>group by browser agent</option>\n";
  echo "</select>\n";
  
  echo "<input type=\"submit\" value=\"View statistics\"/>\n";
  echo "</fieldset>\n";
  echo "</form>\n";

  /* -------------- 1 ---------- */
  if($_POST['LISTSELECT']=='1' || $_GET['FTYPE']=='1'){
    echo "<h3>Daily list sorted, in descending order, by date and time</h3>\n";
    echo "<table>\n";
    echo '<tr>'."\n";
    echo '<th width="4%">ID</th>'."\n";
    echo '<th width="9%">Date</th>'."\n";
    echo '<th width="7%">Time</th>'."\n";
    echo '<th width="10%">IP</th>'."\n";
    echo '<th width="20%">DNS</th>'."\n";
    echo '<th width="10%">Agent</th>'."\n";
    echo '<th width="20%">URI</th>'."\n";
    echo '<th width="20%">Referrer</th>'."\n";
    echo '</tr>'."\n";
    $frommydate="$FROMMYEAR$FROMMMONTH$FROMMDAY";
    $tomydate= "$TOMYEAR$TOMMONTH$TOMDAY";
    $query = sql_query("select * from ".sql_table('httplog')." where (XDATE>='$frommydate') and (XDATE<='$tomydate') $searchfilter order by UID desc LIMIT 0,$HOWMUCH");
    $num=1;
    $style='two';
    while ( $msg = sql_fetch_array( $query )) {
      $style=='one' ? $style='two' : $style='one';
      echo '<tr>'."\n";
      echo '<td class="'.$style.'">'.$num.'</td>'."\n";
      echo '<td class="'.$style.'">'.substr($msg['XDATE'],2,2).'/'.substr($msg['XDATE'],4,2).'</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XTIME'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XADDR'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'"><a href="./list.php?FTYPE=1&amp;FADDR='.$msg['XADDR'].'&amp;FFROM='.$frommydate.'&amp;FTO='.$tomydate.'">'.$msg['XDNS'].'&nbsp;</a></td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XAGENT'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XPATH'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'"><a href="'.$msg['XREFERER'].'">'.$msg['XREFERER'].'&nbsp;</a></td>'."\n";
      echo '</tr>'."\n";
      $num++;
    };
    echo "</table>"."\n";
  }
  /* end --1-- */
  
  /* -------------- 2 ---------- */
  if($_POST['LISTSELECT']=='2'){
    echo "<h3>Daily list grouped by IP address, and sorted by date and time</h3>"."\n";
    echo "<table>"."\n";
    $frommydate="$FROMMYEAR$FROMMMONTH$FROMMDAY";
    $tomydate= "$TOMYEAR$TOMMONTH$TOMDAY";
    $query = sql_query("select * from ".sql_table('httplog')." where (XDATE>='$frommydate') and (XDATE<='$tomydate') $searchfilter order by XADDR asc, UID desc LIMIT 0,$HOWMUCH");
    $lastaddr="";
    $ipnum=0;
    $style='two';
    while ( $msg = sql_fetch_array( $query )) {
      if ($lastaddr!=$msg['XADDR']){
        $num=1;
        $lastaddr = $msg['XADDR'];
        /* header */
        echo '<tr>'."\n";
        $ipnum++;
        echo '<th colspan="4">'.$ipnum.'</th>'."\n";
        echo '<th>'.$msg['XADDR'].'</th>'."\n";
        echo '<th>'.$msg['XDNS'].'</th>'."\n";
        echo '</tr>'."\n";
        /* ip and dns */
        echo '<tr>'."\n";
        echo '<th><strong>ID</strong></th>'."\n";
        echo '<th><strong>Date</strong></th>'."\n";
        echo '<th><strong>Time</strong></th>'."\n";
        echo '<th><strong>Browser</strong></th>'."\n";
        echo '<th><strong>URI</strong></th>'."\n";
        echo '<th><strong>Referrer</strong></th>'."\n";
        echo '</tr>'."\n";
        $style='two';
      }
      /* details */
      $style=='one' ? $style='two' : $style='one';
      echo '<tr>'."\n";
      echo '<td class="'.$style.'">'.$num.'</td>'."\n";
      echo '<td class="'.$style.'">'.substr($msg['XDATE'],2,2).'/'.substr($msg['XDATE'],4,2).'</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XTIME'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XAGENT'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XPATH'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'"><a href="'.$msg['XREFERER'].'">'.$msg['XREFERER'].'&nbsp;</a></td>'."\n";
      echo '</tr>'."\n";
      $num++;
    };
    echo "</table>"."\n";
  }
  /* end --2-- */
  
  /* -------------- 3 ---------- */
  if($_POST['LISTSELECT']=='3'){
    echo "<h3>Information about browsers</h3>"."\n";
    echo "<table>"."\n";
    echo '<tr>'."\n";
    echo '<th width="50%">User agent</th>'."\n";
    echo '<th width="50%">Total views</th>'."\n";
    echo '</tr>'."\n";
    $frommydate="$FROMMYEAR$FROMMMONTH$FROMMDAY";
    $tomydate= "$TOMYEAR$TOMMONTH$TOMDAY";
    $query = sql_query("select count(*) as XTOTAL, max(XAGENT) as XAG from ".sql_table('httplog')." where (XDATE>='$frommydate') and (XDATE<='$tomydate') $searchfilter group by XAGENT order by XTOTAL desc");
    $num=1;
    $style='two';
    while ( $msg = sql_fetch_array( $query )) {
      $style=='one' ? $style='two' : $style='one';
      echo '<tr>'."\n";
      echo '<td class="'.$style.'">'.$msg['XAG'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XTOTAL'].'&nbsp;</td>'."\n";
      echo '</tr>'."\n";
      $num++;
    };
    echo "</table>"."\n";
  }
  /* end --3-- */

  /* -------------- 4 ---------- */
  if($_POST['LISTSELECT']=='4'){
    echo "<h3>Daily unique IP address list, sorted, in descending order, by date and time</h3>"."\n";
    echo "<table>"."\n";
    echo '<tr>'."\n";
    echo '<th width="4%">ID</th>'."\n";
    echo '<th width="9%">Date</th>'."\n";
    echo '<th width="7%">Time</th>'."\n";
    echo '<th width="10%">IP</th>'."\n";
    echo '<th width="20%">DNS</th>'."\n";
    echo '<th width="10%">Agent</th>'."\n";
    echo '<th width="5%">Views</th>'."\n";
    echo '<th width="15%">URI</th>'."\n";
    echo '<th width="20%">Referrer</th>'."\n";
    echo '</tr>'."\n";
    $frommydate="$FROMMYEAR$FROMMMONTH$FROMMDAY";
    $tomydate= "$TOMYEAR$TOMMONTH$TOMDAY";
    $fullquery=sql_query("select MIN(UID) AS XUID, COUNT(UID) AS XTOTAL from ".sql_table('httplog')." where (XDATE>='$frommydate') and (XDATE<='$tomydate') $searchfilter group by XADDR order by UID DESC LIMIT 0,$HOWMUCH");
    $num=1;
    $style='two';
    while ( $fullmsg = sql_fetch_array( $fullquery )) {
      $style=='one' ? $style='two' : $style='one';
      $xuid=$fullmsg['XUID'];
      $query = sql_query("select * from ".sql_table('httplog')." where UID='$xuid'");
      $msg = sql_fetch_array( $query );
      echo '<tr>'."\n";
      echo '<td class="'.$style.'">'.$num.'</td>'."\n";
      echo '<td class="'.$style.'">'.substr($msg['XDATE'],2,2).'/'.substr($msg['XDATE'],4,2).'</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XTIME'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XADDR'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'"><a href="./list.php?FTYPE=1&amp;FADDR='.$msg['XADDR'].'&amp;FFROM='.$frommydate.'&amp;FTO='.$tomydate.'">'.$msg['XDNS'].'&nbsp;</a></td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XAGENT'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'">'.$fullmsg['XTOTAL'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'">'.$msg['XPATH'].'&nbsp;</td>'."\n";
      echo '<td class="'.$style.'"><a href="'.$msg['XREFERER'].'">'.$msg['XREFERER'].'&nbsp;</a></td>'."\n";
      echo '</tr>'."\n";
      $num++;
    };
    echo "</table>"."\n";
  }
  /* end --4-- */

  if( (!isset($_POST['LISTSELECT'])) && (!isset($_GET['FTYPE'])) ) echo "<h3>Please select statistics you want to view in drop-down menu and press View button.</h3>"."\n";

  /* closing... */
  echo "<p id='copyright'>Copyright &copy; <a href=\"http://hulan.cz/blog/\">Radek Hul&aacute;n</a></p>"."\n";
  echo "</div>\n</body></html>";
 
  sql_disconnect();
?>